Bug 1317168 - [RFE]: UI option for healing a gluster volume [NEEDINFO]
[RFE]: UI option for healing a gluster volume
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Scott Herold
SATHEESARAN
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-12 12:27 EST by Raghavendra Bhat
Modified: 2017-02-09 05:04 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-09 05:04:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: needinfo? (rabhat)


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2016-03-12 12:27:13 EST
Description of problem:
Currently there's no way how to work with heal gluster subcommand via RHCS / RHEV-M. No alternative to CLI command gluster volume heal <volname> *.

It can be really useful to control & check heal also from GUI.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Sahina Bose 2016-07-26 06:22:35 EDT
Does Bug 1205641 address your requirement? There's monitoring of heal added to 4.0, do you also need a way to trigger self-heal (isn't heal automatically triggered in gluster replicate volume)?
Comment 2 Yaniv Kaul 2016-12-01 13:00:24 EST
Is this going to 4.1?
Comment 3 Sahina Bose 2016-12-02 00:59:49 EST
No - heal monitoring has been added in 4.1, self-heal is auto-triggered in gluster and we do not yet provide the option from UI to force trigger of heal
Comment 4 Sahina Bose 2017-02-09 05:04:45 EST
Closing this bug as requested information in Comment 1 not provided, and Bug 1205641 addresses heal monitoring

Please re-open if you have further requirements

Note You need to log in before you can comment on or make changes to this bug.